DPPERM(3)

SYNOPSIS
SUBROUTINE DPPERM (DX, N, IPERM, IER)

NAME
dpperm - Rearrange a given array according to a prescribed permutation vector.

LIBRARY
SLATEC

CATEGORY
N8

TYPE
DOUBLE PRECISION (SPPERM-S, DPPERM-D, IPPERM-I, HPPERM-H)

KEYWORDS
PERMUTATION, REARRANGEMENT

AUTHOR
McClain, M. A., (NIST) Rhoads, G. S., (NBS)

DESCRIPTION
DPPERM rearranges the data vector DX according to the permutation IPERM: DX(I) <--- DX(IPERM(I)). IPERM could come from one of the sorting routines IPSORT, SPSORT, DPSORT or HPSORT. Description of Parameters DX - input/output -- double precision array of values to be rearranged. N - input -- number of values in double precision array DX. IPERM - input -- permutation vector. IER - output -- error indicator: = 0 if no error, = 1 if N is zero or negative, = 2 if IPERM is not a valid permutation.

REFERENCES
(NONE)

ROUTINES CALLED
XERMSG

REVISION HISTORY (YYMMDD)
901004 DATE WRITTEN
920507 Modified by M. McClain to revise prologue text.